edu.isi.pegasus.gridftp

## Class RemoveCommand

- java.lang.Object
- - edu.isi.pegasus.gridftp.Command
  - - edu.isi.pegasus.gridftp.RemoveCommand

    public class RemoveCommand
    extends Command

Implements the rm command for remote GridFTP servers

Author:
  Gideon Juve <juve@usc.edu>

### Field Summary

Fields
`private boolean` `force`
`private org.apache.commons.logging.Log` `logger`
`private boolean` `recursive`

### Fields inherited from class edu.isi.pegasus.gridftp.Command

`connectionCache, credential`

### Constructor Summary

Constructors
Constructor and Description
`RemoveCommand(boolean force, boolean recursive)`

### Method Summary

All Methods Static Methods Instance Methods Concrete Methods
`static RemoveCommand` `fromArguments(java.util.List<java.lang.String> args)`
`private void` `remove(GridFTPConnection conn, java.io.File file)`
`private void` `removeDir(GridFTPConnection conn, java.io.File file)`
`protected void` `run(GridFTPURL url)`

### Methods inherited from class edu.isi.pegasus.gridftp.Command

`connect, execute`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Field Detail

#### logger

    private org.apache.commons.logging.Log logger

#### force

    private boolean force

#### recursive

    private boolean recursive

### Constructor Detail

#### RemoveCommand

    public RemoveCommand(boolean force,
                         boolean recursive)

### Method Detail

#### run

    protected void run(GridFTPURL url)
                throws java.net.ConnectException,
                       GridFTPException

Specified by:
  `run` in class `Command`
Parameters:
  `url` - The URL to operate on
Throws:
  `java.net.ConnectException`
  `GridFTPException`

#### remove

    private void remove(GridFTPConnection conn,
                        java.io.File file)
                 throws GridFTPException

Throws:
  `GridFTPException`

#### removeDir

    private void removeDir(GridFTPConnection conn,
                           java.io.File file)
                    throws GridFTPException

Throws:
  `GridFTPException`

#### fromArguments

    public static RemoveCommand fromArguments(java.util.List<java.lang.String> args)
                                       throws java.lang.IllegalArgumentException

Throws:
  `java.lang.IllegalArgumentException`